Bug 58680 - [IVB] Graphical glitches in 0 A.D
Summary: [IVB] Graphical glitches in 0 A.D
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 9.0
Hardware: Other All
: medium normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 12:22 UTC by Achim Frase
Modified: 2013-02-21 15:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
system-info (222.58 KB, text/plain)
2012-12-23 12:23 UTC, Achim Frase
Details
Ingame Screenshot (1.93 MB, image/png)
2012-12-23 12:29 UTC, Achim Frase
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Achim Frase 2012-12-23 12:22:19 UTC
0 A.D. beta 12 doesn't work that well it runs with graphical glitches and sometimes slows down.

Please see attachments.
Comment 1 Achim Frase 2012-12-23 12:23:59 UTC
Created attachment 72024 [details]
system-info
Comment 2 Achim Frase 2012-12-23 12:29:26 UTC
Created attachment 72025 [details]
Ingame Screenshot
Comment 3 Eric Anholt 2013-02-08 18:42:08 UTC
Reproduced rendering failures (not exactly the same, but possibly related) here.
Comment 4 Eric Anholt 2013-02-14 23:15:04 UTC
commit 5bb05c6e6d596d66c177e42a36128d2ca2e300aa
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Feb 13 21:21:45 2013 -0800

    i965/gen7: Set up all samplers even if samplers are sparsely used.
    
    In GLSL, sampler indices are allocated contiguously from 0.  But in the
    case of ARB_fragment_program (and possibly fixed function), an app that
    uses texture 0 and 2 will use sampler indices 0 and 2, so we were only
    allocating space for samplers 0 and 1 and setting up sampler 0.  We
    would read garbage for sampler 2, resulting in flickering textures and
    an angry simulator.
    
    Fixes bad rendering in 0 A.D. and ETQW.  This was fixed for pre-gen7 by
    28f4be9eb91b12a2c6b1db6660cca71a98c486ec
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=25201
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=58680
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    NOTE: This is a candidate for stable branches.
Comment 5 Andreas Boll 2013-02-21 15:36:33 UTC
Cherry-picked to the 9.0 branch: be7048477a2989bd11ab590c65ea1515f764a86c

It will be available in Mesa 9.0.3.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.